Retrieve a document
Info
Documents are currently in BETA and the API interface may change when this is deemed necessary.
Retrieve a document
Use correct API token
It is impodent that the correct API token is used for document creation. Only the token linked to the TranscriptSession can be used.
URL: GET https://api.scriptix.io/api/v3/speech-to-text/session/${sessionId}/document/${documentId}
Request headers
The following headers need to be present
| Parameter | Value | Description |
|---|---|---|
| X-Zoom-S2T-Key | Scriptix Batch API Token | API key belonging to TranscriptSession |
Request path arguments
| Argument | Description |
|---|---|
| sessionId | Scriptix Transcript Session ID returned from a Batch Session |
| documentId | Scriptix Document ID returned from creating a document |
Request query parameters
| Key | Type | Description |
|---|---|---|
| format | string |
Default: jsonReturns the document in the specified format. See supported document formats. |
Supported document formats
json: Scriptix ExtendedDocumentModel JSON response.sbv: SBV subtitle formatsrt: SRT subtitle formatttml: TTML Subtitle Formatvtt: VTT subtitle formatdocx: Microsoft Word documenttemplate: AI generated template (Either with a specific format or summarization)stl: Subtitle format for broadcasthtml: HTML document
Responses codes
| Description | |
|---|---|
| 200 | Document in requested format |
| 400 | Bad request |
| 401 | Unauthorized, no valid authentication found |
| 403 | Forbidden, access to resource is not allowed |
| 404 | Not found, the transcript session is not found or does not belong to the provided API token |
Responses
HTTP 200 OK
Format: APIResultResponse<DocumentModel>
{
"result": {
"id": "12780b54-5575-44e4-bbca-0a410b432183",
"created": "2021-01-25T10:31:46.960411+00:00",
"last_modified": "2021-01-25T10:31:46.960411+00:00",
"filename": "Example document",
"type": "caption",
"document": [
{
"start": 525,
"stop": 6252,
"speaker": "M1",
"text": "This is just an example.\non two lines."
}
]
}
}
<?xml version="1.0" encoding="UTF-8"?>
<tt xmlns="http://www.w3.org/ns/ttml" xml:lang="en-us">
<head>
<metadata xmlns:ttm="http://www.w3.org/ns/ttml#metadata">
<ttm:title>Scriptix TTML</ttm:title>
</metadata>
<styling xmlns:tts="http://www.w3.org/ns/ttml#styling">
<style xml:id="s1" tts:textAlign="center" tts:fontFamily="Arial" tts:fontSize="100%"/>
</styling>
<layout xmlns:tts="http://www.w3.org/ns/ttml#layout">
<region xml:id="bottom" tts:displayAlign="after" tts:extent="80% 40%" tts:origin="10% 50%"/>
</layout>
</head>
<body region="bottom" style="s1">
<div>
<p begin="00:00:00.000" end="00:00:02.850" style="s1" region="bottom">the quick brown fox jumps over the</p>
<p begin="00:00:02.850" end="00:00:03.570" style="s1" region="bottom">lazy dog</p>
</div>
</body>
</tt>
00:00:00.000 --> 00:00:02.850
the quick brown fox jumps over the
00:00:02.850 --> 00:00:03.570
lazy dog
1
00:00:00.000 --> 00:00:02.850
the quick brown fox jumps over the
2
00:00:02.850 --> 00:00:03.570
lazy dog
WEBVTT
NOTE This file has been generated by Scriptix
00:00.000 --> 00:02.850
the quick brown fox jumps over the
00:02.850 --> 00:03.570
lazy dog